#include <iostream>
using namespace std;

int main (){
int A,B,C,D,E,s,g,f,h,e,q,j;
cin>> A >> B >> C >> D >> E;
s=A*A;
g=B*B;
f=C*C;
h=D*D;
e=E*E;
q=s+g+f+h;
if (e>q)
{
    cout << "1";
}
else
{
    j=q/e;
    cout << j;
}

return 0;
}
